The libnotify package


The package provides a high level interface to libnotify API (see Libnotify)

Libnotify.C.Notify and Libnotify.C.NotifyNotification modules contain bindings to C-level functions if you're into that

[Skip to ReadMe]


Versions0.0.1.1,,,,,,, 0.2
Dependenciesbase (>=4.5 && <5), bytestring (>=0.9), glib (>=0.12.3), gtk (>=0.12.3) [details]
AuthorEmon Tsukimiya, Matvey Aksenov
MaintainerMatvey Aksenov <>
CategorySystem, Desktop
Source repositoryhead: git clone
this: git clone
UploadedWed Mar 5 06:48:34 UTC 2014 by MatveyAksenov




Maintainers' corner

For package maintainers and hackage trustees

Readme for libnotify-


Hackage Build Status

Bindings to libnotify library

Note that although the bindings are distributed under MIT license everything else is GPLed. And by everything I mean everything: glib, libnotify, haskell bindings to glib, and so forth. That effectively means that by using libnotify bindings you agree your project is GPLed too. Sorry about that!